Dòng sự kiện

SAP vá lỗ hổng nghiêm trọng trong CA Introscope Enterprise Manager

Các bản cập nhật được SAP phát hành tháng 10/2020 bao gồm 15 thông báo bảo mật.
22:42 PM 19/10/2020 In bài viết này

Với số điểm CVSS là 10, lỗ hổng nguy cấp là một lỗ hổng cấy lệnh trên hệ điều hành gây ảnh hưởng đến phiên bản của trình quản lý doanh nghiệp CA Introscope Enterprise Manager 10.7.0.304 hoặc thấp hơn (các sản phẩm bị ảnh hưởng bao gồm Solution Manager và Focused Run). Lỗ hổng có số hiệu là CVE-2020-6364.

Kẻ tấn công có thể khai thác lỗ hổng, cấy các lệnh vào hệ điều hành và chiếm toàn bộ quyền kiểm soát máy chủ mà CA Introscope Enterprise Manager đang chạy. Onapsis, một công ty chuyên về bảo mật các ứng dụng Oracle và SAP cho biết, lỗ hổng này có thể bị khai thác từ xa mà không cần xác thực. Điều này góp phần nâng cao điểm số CVSS của lỗ hổng.

Theo Onapsis: "Các khách hàng của SAP nên vá lỗ hổng trong Introscope Enterprise Manager lên mức vá cao nhất với phiên bản Enterprise Manager 10.7".

SAP vá lỗ hổng nghiêm trọng trong CA Introscope Enterprise Manager - Ảnh 1.

SAP đã phát hành bản vá cho Enterprise Manager 10.5.2.113 và các bản phát hành trước đó cần được cập nhật tới phiên bản này. Tuy nhiên, với nỗ lực nâng cấp tương tự như việc nâng cấp lên phiên bản 10.7 và 10.5 sẽ kết thúc việc hỗ trợ vào tháng 12/2020, do vậy, việc cập nhật thẳng lên phiên bản 10.7 là lựa chọn tốt nhất.

Lỗ hổng thứ 2 được xử ý trong CA Introscope Enterprise Manager là CVE-2020-6369, có số điểm CVSS là 7,5. Những thông tin xác thực đã được mã hóa cứng (hardcode) trong ứng dụng có thể bị những kẻ tấn công từ xa khai thác để vượt qua xác thực.

Các bản vá đã được đưa ra cho cả Enterprise Manager 10.5 và 10.7, buộc người dùng phải thiết lập những thông tin đăng nhập mới cho những tài khoản khách trong những cài đặt của họ. Bản sửa lỗi cũng yêu cầu sự kết nối giữa Solution Manager/Focused Run (quản lý giải pháp/chạy tập trung) và Introscope khôi phục theo cách thủ công.

Một thông báo bảo mật Patch Day mới được phát hành vào tháng 10/2020 cập nhật trình duyệt Chromium trong SAP Business Client. Thông báo bảo mật ban đầu được phát hành vào tháng 4/2018 và SAP đã cung cấp bản cập nhật định kỳ cho nó.

Hai bản vá có mức ưu tiên cao trong tháng này xử lý lỗ hổng CVE-2020-6367, gây tấn công cross-cite ccripting (cấy và chèn lệnh) trong khung ứng dụng NetWeaver Composite và CVE-2020-6366, gây lỗi về xác thực tính hợp lện XML trong máy chủ ứng dụng NetWeaver.

SAP cũng cập nhật 4 thông báo bảo mật có mức ưu tiên cao liên quan đến lỗ hổng cấy mã (CVE-2020-6296) trong NetWeaver (ABAP) và nền tảng ABAP Platform, lỗi kiểm tra xác thực (CVE-2020-6309) trong NetWeaver AS JAVA, lỗ hổng gây lộ lọt thông tin (CVE-2020-6237) trong nền tảng Business Objects Business Intelligence và lỗ hổng leo thang đặc quyền (CVE-2020-6236) trong Landscape Management.

11 thông báo bảo mật khác cho các lỗ hổng có mức ưu tiên trung bình: nhiều lỗi trong 3D Visual Enterprise Viewer, giả mạo yêu cầu máy chủ trong BusinessObjects Business Intelligence, chuyển hướng đăng nhập trong NetWeaver, lộ lọt thông thin trong NetWeaver, sai ủy quyền trong Banking Services và tấn công XSS trong NetWeaver, Commerce Cloud, Business Planning và Consolidation.

Bản vá tháng 10/2020 của SAP bao gồm bản cập nhật cho một thông báo bảo mật có mức ưu tiên trung bình đề cập đến việc kiểm tra lỗi cấp phép trong ERP (HCM Travel Management) và một thông báo xử lý vấn đề về hết hiệu lực phiên cấp phép trong Commerce Cloud.

Hạnh Tâm (Theo securityweek.com)
Xem thêm